package ru.yandex.autotests.directapi.model.api5.campaigns;

import com.yandex.direct.api.v5.campaigns.StrategyCpDecreasedPriceForRepeatedImpressionsAdd;
import com.yandex.direct.api.v5.general.YesNoEnum;

/**
 * Created by gerdler on 08.09.18.
 */
public class StrategyCpDecreasedPriceForRepeatedImpressionsAddMap extends StrategyDecreasedPriceForRepeatedImpressionsAddBaseMap<StrategyCpDecreasedPriceForRepeatedImpressionsAddMap> {

    public static final String START_DATE = "startDate";
    public static final String END_DATE = "endDate";
    public static final String AUTO_CONTINUE = "autoContinue";

    public StrategyCpDecreasedPriceForRepeatedImpressionsAddMap() {
        super();
        setBean(new StrategyCpDecreasedPriceForRepeatedImpressionsAdd());
    }

    public StrategyCpDecreasedPriceForRepeatedImpressionsAddMap(StrategyCpDecreasedPriceForRepeatedImpressionsAdd strategyCpDecreasedPriceForRepeatedImpressionsAdd) {
        super();
        setBean(strategyCpDecreasedPriceForRepeatedImpressionsAdd);
    }

    public StrategyCpDecreasedPriceForRepeatedImpressionsAddMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public StrategyCpDecreasedPriceForRepeatedImpressionsAddMap withStartDate(String startDate) {
        this.put(START_DATE, startDate);
        return this;
    }

    public StrategyCpDecreasedPriceForRepeatedImpressionsAddMap withEndDate(String endDate) {
        this.put(END_DATE, endDate);
        return this;
    }

    public StrategyCpDecreasedPriceForRepeatedImpressionsAddMap withAutoContinue(YesNoEnum autoContinue) {
        this.put(AUTO_CONTINUE, autoContinue);
        return this;
    }
}
